Diablo II : Lord Of Destruction

Informations

Creator Message
Christhaal

Information

This installer has been approved by the team.

Informations

Platforms:
Downloads: 137432
Wine: System

Feedbacks

Description

Expansion pack, 2001.

Wikipedia. Appdb.winehq.org 

Source code

#!/bin/bash
# Author : Tinou
 
# CHANGELOG
# [SuperPlumus] (2013-07-24 15-22)
#   Update gettext messages
 
# CHANGELOG
# [Tutul] (2014-11-09 13-55)
#   Update local installation
 
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
 
TITLE="Diablo II : Lord Of Destruction"
PREFIX="DiabloII"
PATCHTITLE="Blizzard Updater v2.72"
PATCHLINK="http://ftp.blizzard.com/pub/diablo2exp/patches/PC"
PATCHFILE="LODPatch_113d.exe"
PATCHFILESUM="49d70c8b15988e5bb15853d0466f2a7e"

 
POL_SetupWindow_Init
POL_Debug_Init
 
POL_SetupWindow_presentation "$TITLE" "Blizzard" "http://www.blizzard.com/" "Tinou" "$PREFIX"
 
POL_Wine_SelectPrefix "$PREFIX"
if [ "$(POL_Wine_PrefixExists $PREFIX)" != "True" ]; then
    POL_SetupWindow_message "$(eval_gettext 'This is an installer for an update or an addon;\nPlease install $TITLE_REQUIRED first')" "$TITLE"
    POL_SetupWindow_Close
    exit 1
fi
 
POL_SetupWindow_InstallMethod "CD,LOCAL"
 
if [ "$INSTALL_METHOD" = "CD" ]; then
    POL_Call POL_Wine_InstallCDROM "1" "w" "D2xMusic.mpq"
    POL_Wine_WaitBefore "$TITLE"
    POL_Wine start /unix "$CDROM/install.exe"

    POL_Call POL_Wine_InstallCDROM "2" "w" "d2music.mpq" "Installer Tome 2.mpq" "Installer_Tome_2.mpq"

    POL_Call POL_Wine_InstallCDROM "01" "w" "D2xMusic.mpq"
else
    cd "$HOME"
    POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
    SetupFile="$APP_ANSWER"
    POL_Wine_WaitBefore "$TITLE"
    POL_Wine start /unix "$SetupFile"
fi
 
POL_Wine_WaitExit "$TITLE"

POL_Download_Resource "$PATCHLINK/$PATCHFILE" "$PATCHFILESUM"
POL_Wine start /unix "$POL_USER_ROOT/ressources/$PATCHFILE"
POL_Wine_WaitExit "$PATCHTITLE"

POL_SetupWindow_Close
exit 0

Contributions

Filters:

Contribute
Member Message
Chralu Sunday 28 April 2019 at 12:55
Chralu Anonymous

Information

This update has been approved by the team.

Message

Here are some improvments :

  • installer helps you to switch cd
  • Patch 1.13d installation

Differences

@@ -1,55 +1,60 @@
 #!/bin/bash
 # Author : Tinou
-
+ 
 # CHANGELOG
 # [SuperPlumus] (2013-07-24 15-22)
 #   Update gettext messages
-
+ 
 # CHANGELOG
 # [Tutul] (2014-11-09 13-55)
 #   Update local installation
-
+ 
 [ "$PLAYONLINUX" = "" ] && exit 1
 source "$PLAYONLINUX/lib/sources"
-
+ 
 TITLE="Diablo II : Lord Of Destruction"
 PREFIX="DiabloII"
-PATCHFILE="LODPatch_112a.exe"
+PATCHTITLE="Blizzard Updater v2.72"
 PATCHLINK="http://ftp.blizzard.com/pub/diablo2exp/patches/PC"
-PATCHFILESUM="c59253a196b34a42c4ff331824a0860eabc1ca93"
+PATCHFILE="LODPatch_113d.exe"
+PATCHFILESUM="49d70c8b15988e5bb15853d0466f2a7e"
 
+ 
 POL_SetupWindow_Init
 POL_Debug_Init
-
+ 
 POL_SetupWindow_presentation "$TITLE" "Blizzard" "http://www.blizzard.com/" "Tinou" "$PREFIX"
-
+ 
 POL_Wine_SelectPrefix "$PREFIX"
 if [ "$(POL_Wine_PrefixExists $PREFIX)" != "True" ]; then
     POL_SetupWindow_message "$(eval_gettext 'This is an installer for an update or an addon;\nPlease install $TITLE_REQUIRED first')" "$TITLE"
     POL_SetupWindow_Close
     exit 1
 fi
-
+ 
 POL_SetupWindow_InstallMethod "CD,LOCAL"
-
+ 
 if [ "$INSTALL_METHOD" = "CD" ]; then
-    POL_SetupWindow_cdrom
-    POL_SetupWindow_check_cdrom "D2xMusic.mpq"
+    POL_Call POL_Wine_InstallCDROM "1" "w" "D2xMusic.mpq"
+    POL_Wine_WaitBefore "$TITLE"
     POL_Wine start /unix "$CDROM/install.exe"
-    POL_SetupWindow_message "$(eval_gettext 'When the installer will ask you for PlayDisc, click NEXT.')" "$TITLE"
-    POL_Wine eject
-    POL_SetupWindow_message "$(eval_gettext 'When the installer will ask you for Expansion Disc, click NEXT.')" "$TITLE"
-    POL_Wine eject
-    POL_SetupWindow_message "$(eval_gettext 'Click NEXT when the installation will finish')" "$TITLE"
-    POL_Wine eject
+
+    POL_Call POL_Wine_InstallCDROM "2" "w" "d2music.mpq" "Installer Tome 2.mpq" "Installer_Tome_2.mpq"
+
+    POL_Call POL_Wine_InstallCDROM "01" "w" "D2xMusic.mpq"
 else
     cd "$HOME"
     POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
     SetupFile="$APP_ANSWER"
     POL_Wine_WaitBefore "$TITLE"
     POL_Wine start /unix "$SetupFile"
-    POL_Wine_WaitExit
 fi
+ 
+POL_Wine_WaitExit "$TITLE"
+
+POL_Download_Resource "$PATCHLINK/$PATCHFILE" "$PATCHFILESUM"
+POL_Wine start /unix "$POL_USER_ROOT/ressources/$PATCHFILE"
+POL_Wine_WaitExit "$PATCHTITLE"
 
 POL_SetupWindow_Close
 exit 0
\ No newline at end of file

New source code

#!/bin/bash
# Author : Tinou
 
# CHANGELOG
# [SuperPlumus] (2013-07-24 15-22)
#   Update gettext messages
 
# CHANGELOG
# [Tutul] (2014-11-09 13-55)
#   Update local installation
 
[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"
 
TITLE="Diablo II : Lord Of Destruction"
PREFIX="DiabloII"
PATCHTITLE="Blizzard Updater v2.72"
PATCHLINK="http://ftp.blizzard.com/pub/diablo2exp/patches/PC"
PATCHFILE="LODPatch_113d.exe"
PATCHFILESUM="49d70c8b15988e5bb15853d0466f2a7e"

 
POL_SetupWindow_Init
POL_Debug_Init
 
POL_SetupWindow_presentation "$TITLE" "Blizzard" "http://www.blizzard.com/" "Tinou" "$PREFIX"
 
POL_Wine_SelectPrefix "$PREFIX"
if [ "$(POL_Wine_PrefixExists $PREFIX)" != "True" ]; then
    POL_SetupWindow_message "$(eval_gettext 'This is an installer for an update or an addon;\nPlease install $TITLE_REQUIRED first')" "$TITLE"
    POL_SetupWindow_Close
    exit 1
fi
 
POL_SetupWindow_InstallMethod "CD,LOCAL"
 
if [ "$INSTALL_METHOD" = "CD" ]; then
    POL_Call POL_Wine_InstallCDROM "1" "w" "D2xMusic.mpq"
    POL_Wine_WaitBefore "$TITLE"
    POL_Wine start /unix "$CDROM/install.exe"

    POL_Call POL_Wine_InstallCDROM "2" "w" "d2music.mpq" "Installer Tome 2.mpq" "Installer_Tome_2.mpq"

    POL_Call POL_Wine_InstallCDROM "01" "w" "D2xMusic.mpq"
else
    cd "$HOME"
    POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
    SetupFile="$APP_ANSWER"
    POL_Wine_WaitBefore "$TITLE"
    POL_Wine start /unix "$SetupFile"
fi
 
POL_Wine_WaitExit "$TITLE"

POL_Download_Resource "$PATCHLINK/$PATCHFILE" "$PATCHFILESUM"
POL_Wine start /unix "$POL_USER_ROOT/ressources/$PATCHFILE"
POL_Wine_WaitExit "$PATCHTITLE"

POL_SetupWindow_Close
exit 0

Replies

Friday 6 December 2019 at 11:42
Approved.
Anonymous
Friday 27 November 2020 at 21:59
xlours Tuesday 2 January 2018 at 14:22
xlours Anonymous

Message

Bonjour,

une simple installation (Installer un programme non listé) en choisissant le wine 2.20 (sur mon UBUNTU 16.04, 32bit), windows XP et POL_Install_d3dx9 m'a permis de jouer sans problème à partir des CD originaux.

cordialement

Replies

ZeNity_ Sunday 2 October 2016 at 18:02
ZeNity_

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

I updated the CD install section as it didn't seem to be functional.

Differences

@@ -4,10 +4,10 @@
 # CHANGELOG
 # [SuperPlumus] (2013-07-24 15-22)
 #   Update gettext messages
-
-# CHANGELOG
 # [Tutul] (2014-11-09 13-55)
 #   Update local installation
+# [ZeNity_] (2016-10-02 18-02)
+#   Update CD install section
 
 [ "$PLAYONLINUX" = "" ] && exit 1
 source "$PLAYONLINUX/lib/sources"
@@ -33,23 +33,30 @@
 POL_SetupWindow_InstallMethod "CD,LOCAL"
 
 if [ "$INSTALL_METHOD" = "CD" ]; then
+    POL_SetupWindow_message "$(eval_gettext 'Please insert Expansion Disc into your disk drive.')"
     POL_SetupWindow_cdrom
     POL_SetupWindow_check_cdrom "D2xMusic.mpq"
+    POL_Call POL_Wine_LinkCDROM "w"
     POL_Wine start /unix "$CDROM/install.exe"
-    POL_SetupWindow_message "$(eval_gettext 'When the installer will ask you for PlayDisc, click NEXT.')" "$TITLE"
-    POL_Wine eject
+    POL_SetupWindow_message "$(eval_gettext 'When the installer will ask you for Play Disc, click NEXT.')" "$TITLE"
+    POL_Wine --ignore-errors eject
+    POL_SetupWindow_message "$(eval_gettext 'Please insert Play Disc into your disk drive.')"
+    POL_SetupWindow_cdrom
+    POL_Call POL_Wine_LinkCDROM "w"
     POL_SetupWindow_message "$(eval_gettext 'When the installer will ask you for Expansion Disc, click NEXT.')" "$TITLE"
-    POL_Wine eject
-    POL_SetupWindow_message "$(eval_gettext 'Click NEXT when the installation will finish')" "$TITLE"
-    POL_Wine eject
+    POL_Wine --ignore-errors eject
+    POL_SetupWindow_message "$(eval_gettext 'Please insert Expansion Disc into your disk drive.')"
+    POL_SetupWindow_cdrom
+    POL_Call POL_Wine_LinkCDROM "w"
 else
     cd "$HOME"
     POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
     SetupFile="$APP_ANSWER"
     POL_Wine_WaitBefore "$TITLE"
     POL_Wine start /unix "$SetupFile"
-    POL_Wine_WaitExit
 fi
 
+POL_Wine_WaitExit "$TITLE"
+
 POL_SetupWindow_Close
 exit 0
\ No newline at end of file

New source code

#!/bin/bash
# Author : Tinou

# CHANGELOG
# [SuperPlumus] (2013-07-24 15-22)
#   Update gettext messages
# [Tutul] (2014-11-09 13-55)
#   Update local installation
# [ZeNity_] (2016-10-02 18-02)
#   Update CD install section

[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"

TITLE="Diablo II : Lord Of Destruction"
PREFIX="DiabloII"
PATCHFILE="LODPatch_112a.exe"
PATCHLINK="http://ftp.blizzard.com/pub/diablo2exp/patches/PC"
PATCHFILESUM="c59253a196b34a42c4ff331824a0860eabc1ca93"

POL_SetupWindow_Init
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "Blizzard" "http://www.blizzard.com/" "Tinou" "$PREFIX"

POL_Wine_SelectPrefix "$PREFIX"
if [ "$(POL_Wine_PrefixExists $PREFIX)" != "True" ]; then
    POL_SetupWindow_message "$(eval_gettext 'This is an installer for an update or an addon;\nPlease install $TITLE_REQUIRED first')" "$TITLE"
    POL_SetupWindow_Close
    exit 1
fi

POL_SetupWindow_InstallMethod "CD,LOCAL"

if [ "$INSTALL_METHOD" = "CD" ]; then
    POL_SetupWindow_message "$(eval_gettext 'Please insert Expansion Disc into your disk drive.')"
    POL_SetupWindow_cdrom
    POL_SetupWindow_check_cdrom "D2xMusic.mpq"
    POL_Call POL_Wine_LinkCDROM "w"
    POL_Wine start /unix "$CDROM/install.exe"
    POL_SetupWindow_message "$(eval_gettext 'When the installer will ask you for Play Disc, click NEXT.')" "$TITLE"
    POL_Wine --ignore-errors eject
    POL_SetupWindow_message "$(eval_gettext 'Please insert Play Disc into your disk drive.')"
    POL_SetupWindow_cdrom
    POL_Call POL_Wine_LinkCDROM "w"
    POL_SetupWindow_message "$(eval_gettext 'When the installer will ask you for Expansion Disc, click NEXT.')" "$TITLE"
    POL_Wine --ignore-errors eject
    POL_SetupWindow_message "$(eval_gettext 'Please insert Expansion Disc into your disk drive.')"
    POL_SetupWindow_cdrom
    POL_Call POL_Wine_LinkCDROM "w"
else
    cd "$HOME"
    POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
    SetupFile="$APP_ANSWER"
    POL_Wine_WaitBefore "$TITLE"
    POL_Wine start /unix "$SetupFile"
fi

POL_Wine_WaitExit "$TITLE"

POL_SetupWindow_Close
exit 0

Replies

Tutul Sunday 9 November 2014 at 13:56
Tutul

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

- Add "Local" installation

- Check if the wineprefix exist and create it if not

- Now, we can use the installer from battle.net (or the CD's)

- Update translation

Differences

@@ -5,12 +5,15 @@
 # [SuperPlumus] (2013-07-24 15-22)
 #   Update gettext messages
 
-[ "$PLAYONLINUX" = "" ] && exit 0
+# CHANGELOG
+# [Tutul] (2014-11-09 13-55)
+#   Update local installation
+
+[ "$PLAYONLINUX" = "" ] && exit 1
 source "$PLAYONLINUX/lib/sources"
 
 TITLE="Diablo II : Lord Of Destruction"
 PREFIX="DiabloII"
-WINEVERSION="1.2.3"
 PATCHFILE="LODPatch_112a.exe"
 PATCHLINK="http://ftp.blizzard.com/pub/diablo2exp/patches/PC"
 PATCHFILESUM="c59253a196b34a42c4ff331824a0860eabc1ca93"
@@ -21,26 +24,32 @@
 POL_SetupWindow_presentation "$TITLE" "Blizzard" "http://www.blizzard.com/" "Tinou" "$PREFIX"
 
 POL_Wine_SelectPrefix "$PREFIX"
-
-if [ ! -e "$POL_USER_ROOT/shortcuts/Diablo II" ]
-then
-POL_SetupWindow_message "Install Diablo II first" "$TITLE"
-POL_SetupWindow_Close
-exit
+if [ "$(POL_Wine_PrefixExists $PREFIX)" != "True" ]; then
+    POL_SetupWindow_message "$(eval_gettext 'This is an installer for an update or an addon;\nPlease install $TITLE_REQUIRED first')" "$TITLE"
+    POL_SetupWindow_Close
+    exit 1
 fi
 
-POL_SetupWindow_cdrom
+POL_SetupWindow_InstallMethod "CD,LOCAL"
 
-POL_SetupWindow_check_cdrom "D2xMusic.mpq"
-
-POL_Wine start /unix "$CDROM/install.exe"
-POL_SetupWindow_message "When the installer will ask you for PlayDisc, click NEXT." "$TITLE"
-POL_Wine eject
-POL_SetupWindow_message "When the installer will ask you for Expansion Disc, click NEXT." "$TITLE"
-POL_Wine eject
-POL_SetupWindow_message "Click NEXT when the installation will finish" "$TITLE"
-
-POL_Wine eject
+if [ "$INSTALL_METHOD" = "CD" ]; then
+    POL_SetupWindow_cdrom
+    POL_SetupWindow_check_cdrom "D2xMusic.mpq"
+    POL_Wine start /unix "$CDROM/install.exe"
+    POL_SetupWindow_message "$(eval_gettext 'When the installer will ask you for PlayDisc, click NEXT.')" "$TITLE"
+    POL_Wine eject
+    POL_SetupWindow_message "$(eval_gettext 'When the installer will ask you for Expansion Disc, click NEXT.')" "$TITLE"
+    POL_Wine eject
+    POL_SetupWindow_message "$(eval_gettext 'Click NEXT when the installation will finish')" "$TITLE"
+    POL_Wine eject
+else
+    cd "$HOME"
+    POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+    SetupFile="$APP_ANSWER"
+    POL_Wine_WaitBefore "$TITLE"
+    POL_Wine start /unix "$SetupFile"
+    POL_Wine_WaitExit
+fi
 
 POL_SetupWindow_Close
 exit 0
\ No newline at end of file

New source code

#!/bin/bash
# Author : Tinou

# CHANGELOG
# [SuperPlumus] (2013-07-24 15-22)
#   Update gettext messages

# CHANGELOG
# [Tutul] (2014-11-09 13-55)
#   Update local installation

[ "$PLAYONLINUX" = "" ] && exit 1
source "$PLAYONLINUX/lib/sources"

TITLE="Diablo II : Lord Of Destruction"
PREFIX="DiabloII"
PATCHFILE="LODPatch_112a.exe"
PATCHLINK="http://ftp.blizzard.com/pub/diablo2exp/patches/PC"
PATCHFILESUM="c59253a196b34a42c4ff331824a0860eabc1ca93"

POL_SetupWindow_Init
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "Blizzard" "http://www.blizzard.com/" "Tinou" "$PREFIX"

POL_Wine_SelectPrefix "$PREFIX"
if [ "$(POL_Wine_PrefixExists $PREFIX)" != "True" ]; then
    POL_SetupWindow_message "$(eval_gettext 'This is an installer for an update or an addon;\nPlease install $TITLE_REQUIRED first')" "$TITLE"
    POL_SetupWindow_Close
    exit 1
fi

POL_SetupWindow_InstallMethod "CD,LOCAL"

if [ "$INSTALL_METHOD" = "CD" ]; then
    POL_SetupWindow_cdrom
    POL_SetupWindow_check_cdrom "D2xMusic.mpq"
    POL_Wine start /unix "$CDROM/install.exe"
    POL_SetupWindow_message "$(eval_gettext 'When the installer will ask you for PlayDisc, click NEXT.')" "$TITLE"
    POL_Wine eject
    POL_SetupWindow_message "$(eval_gettext 'When the installer will ask you for Expansion Disc, click NEXT.')" "$TITLE"
    POL_Wine eject
    POL_SetupWindow_message "$(eval_gettext 'Click NEXT when the installation will finish')" "$TITLE"
    POL_Wine eject
else
    cd "$HOME"
    POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
    SetupFile="$APP_ANSWER"
    POL_Wine_WaitBefore "$TITLE"
    POL_Wine start /unix "$SetupFile"
    POL_Wine_WaitExit
fi

POL_SetupWindow_Close
exit 0

Replies

Sunday 9 November 2014 at 14:31
You should test that the prefix exists, say
if [ "$(POL_Wine_PrefixExists $PREFIX)" != "True" ]; then
POL_SetupWindow_message "$(eval_gettext 'This is an installer for an update or an addon;\nPlease install $TITLE_REQUIRED first')" "$TITLE"
POL_SetupWindow_Close
exit 1
fi
Sunday 9 November 2014 at 14:39
ok, I just take the old code ^^"
I check the script now :)
Sunday 9 November 2014 at 14:45
wonrking well
Monday 7 December 2015 at 13:05
It works like a charm!
Monday 7 December 2015 at 13:09
I wonder why this script hasn't been approved...
Monday 7 December 2015 at 13:55
Just lost track of it... Done!

Edited by Tutul

Invictus90 Friday 26 September 2014 at 17:03
Invictus90 Anonymous

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

Hello,

I reviewed the source code, it seems there is no CD_ROM linkage to the Wine application.

By reviewing the Original Diablo II Source code, I compiled a script that works well.

Differences

@@ -29,18 +29,14 @@
 exit
 fi
 
-POL_SetupWindow_cdrom
-
-POL_SetupWindow_check_cdrom "D2xMusic.mpq"
-
+POL_Call POL_Wine_InstallCDROM "1" "w" "D2xMusic.mpq" "install.exe"
 POL_Wine start /unix "$CDROM/install.exe"
+POL_Wine_WaitBefore "$TITLE"
 POL_SetupWindow_message "When the installer will ask you for PlayDisc, click NEXT." "$TITLE"
-POL_Wine eject
+POL_Call POL_Wine_InstallCDROM "2" "w" "d2music.mpq"
 POL_SetupWindow_message "When the installer will ask you for Expansion Disc, click NEXT." "$TITLE"
-POL_Wine eject
+POL_Call POL_Wine_InstallCDROM "3" "w" "D2xMusic.mpq"
 POL_SetupWindow_message "Click NEXT when the installation will finish" "$TITLE"
 
-POL_Wine eject
-
 POL_SetupWindow_Close
 exit 0
\ No newline at end of file

New source code

#!/bin/bash
# Author : Tinou

# CHANGELOG
# [SuperPlumus] (2013-07-24 15-22)
#   Update gettext messages

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

TITLE="Diablo II : Lord Of Destruction"
PREFIX="DiabloII"
WINEVERSION="1.2.3"
PATCHFILE="LODPatch_112a.exe"
PATCHLINK="http://ftp.blizzard.com/pub/diablo2exp/patches/PC"
PATCHFILESUM="c59253a196b34a42c4ff331824a0860eabc1ca93"

POL_SetupWindow_Init
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "Blizzard" "http://www.blizzard.com/" "Tinou" "$PREFIX"

POL_Wine_SelectPrefix "$PREFIX"

if [ ! -e "$POL_USER_ROOT/shortcuts/Diablo II" ]
then
POL_SetupWindow_message "Install Diablo II first" "$TITLE"
POL_SetupWindow_Close
exit
fi

POL_Call POL_Wine_InstallCDROM "1" "w" "D2xMusic.mpq" "install.exe"
POL_Wine start /unix "$CDROM/install.exe"
POL_Wine_WaitBefore "$TITLE"
POL_SetupWindow_message "When the installer will ask you for PlayDisc, click NEXT." "$TITLE"
POL_Call POL_Wine_InstallCDROM "2" "w" "d2music.mpq"
POL_SetupWindow_message "When the installer will ask you for Expansion Disc, click NEXT." "$TITLE"
POL_Call POL_Wine_InstallCDROM "3" "w" "D2xMusic.mpq"
POL_SetupWindow_message "Click NEXT when the installation will finish" "$TITLE"

POL_SetupWindow_Close
exit 0

Replies